Introduction

Top Next

BufferZone™

Security through virtualization for home users.

Date: October 2006

Version: BufferZone Home 2.10

Index:

•

About

•

BufferZone Virtualization

•

Installation

•

How to

•

User interface and other features

•

FAQ

•

Support

•

Company information


About

Top Previous Next

BufferZone™ protects your computer against spyware installation, theft of information, hijacking of your desktop, and damage to your operating system delivered through Browsers, Email, P2P applications and Instant Messengers (in the Pro version).

BufferZone™ provides continuous protection against cyber threats — known and unknown, current and future — including Trojan horses, viruses, spyware, and newer morphing and blended threats. Acting as a kernel driver, BufferZone™ intercepts every unknown application, making it an excellent way to defend personal computers.

BufferZone™ uses a unique Security through Virtualization approach that dynamically isolates and safely executes

all non-trusted content, instead of trying to scan content and detect malicious code. With BufferZone™, you can safely execute any application as well as download and use any files with your normal applications, preferences and settings. Programs running in

BufferZone™ cannot attack your files and system resources, and cannot steal your personal data.

BufferZone™ protection prevents attacks such as:

§ "In the Wild" (known) viruses, worms, Trojan horses

§ "Zero Day" (unknown) viruses, worms, Trojan horses

§ Spyware

§ Adware

§ Application vulnerabilities

Because BufferZone™ doesn't depend upon signatures, heuristics, or other ways of recognizing threats, it never requires signatures or definitions updating when new forms of attack emerge. Once you install BufferZone™, you're protected now and in the future.


BufferZone Virtualization

BufferZone protection is based on a patent pending application Virtualization technology which transparently redirects modifications in your PC to a virtual, separated environment, so that unauthorized modifications cannot be applied to your 'real' PC.

In other words, when you share or download any software or file using your P2P, Internet Browser or Instant Messenger and then run it in the BufferZone virtual environment, that software or file ‘thinks’ it is running on your ‘real’ PC’s environment – in fact, it can only ‘see’ your ‘real’ PC but it can never ‘write’, modify or damage your ‘real’ PC in any way.

For example: a virus or spyware running in the BufferZone virtual environment can never ‘write’, manipulate or damage your files, nor can it 'read' your private ‘My Documents’ folder. When it tries to do so, it is actually being fooled by BufferZone into ‘writing’ somewhere else on your hard-disk.

More than that, BufferZone provides unique confidential folders so programs running in the BufferZone virtual machine can never ‘see’ or even know which private files you have, so no "spyware", "keylogger" or "Trojan" can steal your confidential information.

BufferZone unique technology automatically neutralizes known and even unknown Malware, meaning there is no need whatsoever for any signature updates.


Installation

Installation is very simple. Just follow the standard directions during the setup run.

Notices:

•

BufferZone is compatible with most popular security programs. More information can be obtained by e-mail: support@trustware.com

•

We recommend scanning your system using any of the common online scanning solutions prior to BufferZone installation.

After installation:

Applications configured to run inside the BufferZone will execute in the virtual environment, and their windows will be surrounded by a red border.

The BufferZone tray icon will appear.

The C:\Virtual folder is created, and all BufferZone programs disk activity is redirected into it.


How to

Send a question to support

BufferZone Community forum link

Index:

•

Install a program out of BufferZone

•

Move a file to BufferZone

•

Release a file from BufferZone

•

Switch to BufferZone desktop

•

Hide data from BufferZone

•

Prevent files from running


Install a program out of BufferZone

•

New programs are defaulted to run in BufferZone

•

If you want to permanently release a file from BufferZone right click on > 'Move out of BufferZone'

•

If you want to run a new file outside BufferZone right click>'Open out of BufferZone'

•

For an entire directory, right click on the folder name and repeat as above.


Move a file to BufferZone

•

Right click on the file

•

If you want to permanently move a file to BufferZone, right click on >'Move to BufferZone'

•

If you want to run a trusted file in BufferZone right click on >'Open in BufferZone'

•

For an entire directory, right click on the folder name and repeat as above.


Release a file from BufferZone

•

Right click on the file

•

If you want to permanently release a file to BufferZone right click on >'Move out from BufferZone'

•

If you want to run an untrusted file outside BufferZone right click on>'Open out of BufferZone'

•

For an entire directory, right click on the folder name and repeat as above.


Switch to BufferZone Desktop

•

Right click on systray icon>Switch to BufferZone Desktop

•

All current explorer.exe activity will execute inside BufferZone

•

To return just click on the 'BufferZone session' icon.


Hide data from BufferZone

•

Confidential files cannot be read from BufferZone. They simply don't exist for programs in BufferZone.

•

Use right click option for setting (yes/no) Confidential attribute to a file or an entire directory.


Prevent files from running

•

Forbidden files or directories are inaccessible to anyone. They won't run or open by any process.

•

Use right click option for setting the forbidden attribute to a file or an entire directory.


Trust all new files

•

Also known as 'Learn mode'

•

Use right click on the systray icon to 'Disable Protection'. At that point, all new files or programs will be considered as trusted.


User interface and other features

Goto:

•

Control Panel


Control Panel

•

Double click on the systray icon

•

Right click on the systray icon>'Open'

Goto:

•

Summary

• | Policy
• | Firewall

•

Configuration


Summary

BufferZone security

Display statistic about changes prevented to your system.

BufferZone Programs

Presents the current applications running in BZ

By highlight an application icon you will be able to receive information about the process,

Move it out of BufferZone, terminate it or forbid the application.

Other Programs Wrapped by BufferZone

All programs,files and folders that will run in BufferZone by default

Empty BufferZone

Will let you choose between 3 options:

Stop BufferZone processes ,all process running inside the BufferZone will be stop

Reset BufferZone registry will delete all virtual registry keys created by BufferZone

Delete BufferZone virtual files will delete all content in the virtual folder

Uninstall Program

All programs installed to BufferZone can be uninstall from here.


Policy

Application Control:

When enabled (reboot required), will tag as unknown every new executable created on the hard disk or copied from Untrusted source and will defend your operating system with the ultimate protection:

Device Control:

Allows the administrator to configure how BufferZone will react with everyone of the following optional file sources:

Floppy drive, Flash memory, CD/DVD, USB hard drive and network paths:

Certification:

Configures BufferZone to automatically trust every file signed with WinTrust (Windows' standard code signing technology) or with Trustware's proprietary ExeSign tool.


Firewall

Control your network traffic. Firewall rules can be configured both for applications running in or out of the BufferZone.


Configuration

Index:

•

BufferZone rules

•

Password

•

Display

•

Virtualization

•

Script/macros configurations

•

BufferZone Maintenance


BufferZone rules

Index:

•

Confidential files and folders

•

Forbidden files

•

Advanced rules


Confidential files and folders

Confidential files and folders

Block access to your private files to BufferZone programs.


Forbidden Files

Configuration

Prevent opening and execution of certain files.


Advanced rules

E- mail programs

Mail programs run out of BufferZone, but their attachments and saved files run in BufferZone.

Programs allowed to interact with BufferZone programs

Programs out of BufferZone cannot interact with programs inside the BufferZone, for security reasons.

However, some programs (typically operating system components) are allowed to interact with BufferZone programs.

For example: the printer spooler is part of the operating system, and is allowed to interact with BufferZone programs to provide printing jobs.

Trusted files and paths

Paths and programs that will always run out of BufferZone.

Trusted installations

When Application Control is activated, any new executable created on the disk is tagged to execute in BufferZone.

Here you can specify exceptions: programs that can install new applications on your disk, without tagging them to run in BufferZone.

For example: the Windows Updates process, or any other automatic update program may be allowed to create trusted executables that won't go into BufferZone.

Comliers

When Application Control is activated, any new executable created on the disk is tagged to execute in BufferZone.

Here you can specify exceptions: programs that can create new executables on disk, without tagging them as risky.

For example: your compiler or macros generator can be allowed to create trusted executables that won't go into BufferZone.


Password

Administrator's password

Default password for the BufferZone administrator "admin".

Basic maintenance password

Using this password, user will be able to move files out/to BufferZone only.

User will not be able to edit configurations.


Display

Display

Draw red border around BufferZone programs (reboot required).

Notify me about new versions.


Virtualization

Virtualization

Choose the location of your virtual folder.


Script/macros configurations

Script/macros configurations

Defines how BufferZone will react when trusted program opens a file with unknown script or macro.


BufferZone Maintenance

Maintenance the BufferZone

Choose when to empty your BufferZone.


FAQ

General questions about BufferZone

Q: Does BufferZone replace my antivirus software?

A: Yes. When using BufferZone as realtime protection you do not need antivirus, antispyware or personal firewall programs.

Q: How does BufferZone differ from traditional antivirus software?

A: BufferZone does not rely on virus signatures. BufferZone protects the system by creating a Virtual Buffer Zone where all unknown and untrusted application can safely run. Unlike traditional antivirus software, no signature update is required when new viruses appear.

Q: How does BufferZone differ from spyware scanners like Ad-Aware?

A: Spyware scanners detect very specific threats by identifying specific files, Registry keys, cookies, etc. The scanner must be updated periodically with new threat parameters (in a similar way to conventional antivirus software). BufferZone does not detect specific threats but provides whole system protection through virtualization.

Q: Does BufferZone work with Windows 98, 98SE and ME?

A: No. BufferZone requires Windows 2000 or later.

Q: Do I need to know a lot about computers to use BufferZone?

A: No. BufferZone was designed to allow both technical and non-technical people to continue working without changing their working habits. BufferZone protection requires no special operation.

BufferZone Features

Q: Does BufferZone provide any buffer overflow protection?

A: Yes. A buffer overflow in a program running inside BufferZone cannot be exploited to run malicious code outside of BufferZone. However, programs running outside of BufferZone are not protected from such attack.

Q: How does BufferZone protect against keyloggers?

A: Programs running inside BufferZone are prevented from using specific system calls required for capturing keyboard input, as well as from installing Global Hooks.

Compatibility

Q: Is BufferZone compatible with other security programs?

A: Yes. BufferZone is compatible with most antivirus programs, as well as with Trojan horse removal programs such as Ad-Aware and MS AntiSpyware.

Q: Is BufferZone compatible with personal firewalls like ZoneAlarm?

A: Yes. BufferZone is compatible with software and hardware firewalls. The firewall should be installed outside of BufferZone.

Q: Will BufferZone slow down my computer?

A: A slight delay may be observed when starting a new program for the first time in BufferZone. Normal operation should not be affected.

Questions about Support

Q: What support is available?

A: Support is available through the BufferZone Community forums at: http://www.trustware.com/forum/.

If you are unable to access the forum, please write us at support@trustware.com.

Security and Privacy

Q: Why does BufferZone connect to its server after installation?

A: The Home version of BufferZone will connect to TrustWare's server for a version upgrade check (making sure it is the most recent version). The Corporate version of BufferZone is a managed version that receives its security policy from a corporate server (the Trust ware Governor). .

Installation, Setup and Configuration

Q: Can I reinstall BufferZone on the same machine?

A: Yes. If you are switching between different versions of BufferZone (Home, Corporate or one of the P2P versions), we recommend that you first uninstall the older version, reboot and then install the new one.

Q: Is it possible to prevent BufferZone from starting automatically?

A: BufferZone is installed as a device driver and is automatically loaded on system startup. BufferZone service can be stopped by using the Unload feature. In order to prevent the driver from automatically loading, windows must be started in Safe Mode.

BufferZone Trial version

Q: Is the trial version limited in any way?

A: The trial version of BufferZone is fully featured and will expire after 30 days.


Support

For information, news and technical support, please visit our BufferZone community : www.trustware.com/forum

Technical support can be reached via e-mail: support@trustware.com


Company info

Top Previous

TrustWare

2 Hanehoshet St.

Tel Aviv, Israel 62745

www.trustware.com

©2002-2005 TrustWare, Ltd. All rights reserved.

BufferZone™ is trademark or registered trademarks of TrustWare, Ltd. in the United States and/or other countries.

All other products and services mentioned are the property of their respective companies